Subject: RE: [manet] Very basic questions

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 24 Feb 2004 15:06:58 -0500

> Finally, do the answers depend on which MANET protocol is
> being used?

Yes.

One way of implementing a MANET is to make an IP router of every single node. As they move about, their routing tables change. But each node can indeed be its own IP subnet.

Other schemes instead create IP subnets of individual MANETs, and implement a way to autoconfigure the hosts' IP addresses accordingly, perhaps as a function of the router that ties these to the fixed Internet. However a common theme in MANET is that every (mobile) node must participate or potentially participate in providing the network infrastructure. The idea being that there is no fixed infrastructure to provide connectivity to all these mobile hosts. They have to do it on their own.

Because reachability depends on defining hops across other mobile hosts, some schemes specify which subset of nodes should be the ones to flood routing information, just to keep the background traffic level under control. The density and the level of mobility of mobile hosts will determine which of the many protocols is best suited to any scenario.

Your figure does not necessarily represent a MANET. Wireless access points, e.g. IEEE 802.11, can simply be Link Layers of a fixed IP infrastructure. The wireless access points can either be part of a bigger link layer network (catenet), or they can each have a router associated with them, but from the IP standpoint, really nothing new. Any mobility of hosts would consist of finding a new access point and using DHCP to obtain a new IP address. The infrastructure may be stationary.

Bert

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, February 24, 2004 12:50 PM
> To: [email-masked]
> Subject: [manet] Very basic questions
> 
> 
> Hello all,
> 
> I have some very basic questions about routing in MANETs. 
> I have some experience with IPv4 routing in fixed systems
> which may be causing me some confusion when it comes to MANETs.
> 
> My stick figure below is intended to represent two systems,
> X and Y.  Each system has an Ethernet LAN interface and 
> a Wireless interface.  
> 
> The Ethernet LAN on system X is subnet A, the wireless
> interface has an address on subnet B.
> 
> The Ethernet LAN on system Y is subnet D, the wireless
> interface has an address on subnet C.
> 
>                       B          C                       
>                                                        
>                       V          V
>                       |          |
>               ------- |          | -------      D
>       A       |     |--          --|     |__ _|_ _|_ _
>   _ _|_ _|_ __|  X  |              |  Y  |  |   |   |
>    |   |   |  |     |              |     |
>               -------              -------
> 
> I don't see how systems X and Y can communicate over the 
> wireless interfaces unless these interfaces are on the same
> subnet.  Furthermore, if a similar system, Z, moves into the
> area how can it communicate unless its wireless interface is
> also on the same subnet?
> 
> I have read that in a MANET the address is tied to the device
> not a topological location and that subnets don't really have
> a meaning in a MANET.  Does this mean that the wireless
> interfaces all have vastly different IP addresses and can be
> arbitrarily assigned?
> 
> What would the route table entry on system X look like
> to route a packet to system Y?  What would the route entry
> on system X look like in order to route packets to a
> system on Ethernet LAN D attached to system Y?
> 
> Finally, do the answers depend on which MANET protocol is
> being used?
> 
> I have read several papers about DSR, AODV and OLSR and I am
> still missing this concept.  
> 
> I would greatly appreciate any help this group can give.
> 
> Thanks,
> 
> Richard Herron
> L-3 Communications
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet